<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11) on Wed Mar 13 11:46:20 CET 2019 -->
<title>U-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2019-03-13">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="U-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../hr/fer/zemris/java/hw01/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../hr/fer/zemris/java/hw01/package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">E</a>&nbsp;<a href="index-4.html">F</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><a href="../hr/fer/zemris/java/hw01/UniqueNumbers.html" title="class in hr.fer.zemris.java.hw01"><span class="typeNameLink">UniqueNumbers</span></a> - Class in <a href="../hr/fer/zemris/java/hw01/package-summary.html">hr.fer.zemris.java.hw01</a></dt>
<dd>
<div class="block">Class <code>UniqueNumbers</code> enables creation of a sorted binary tree with unique elements (cannot have duplicate tree node values).</div>
</dd>
<dt><span class="memberNameLink"><a href="../hr/fer/zemris/java/hw01/UniqueNumbers.html#%3Cinit%3E()">UniqueNumbers()</a></span> - Constructor for class hr.fer.zemris.java.hw01.<a href="../hr/fer/zemris/java/hw01/UniqueNumbers.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../hr/fer/zemris/java/hw01/UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01"><span class="typeNameLink">UniqueNumbers.TreeNode</span></a> - Class in <a href="../hr/fer/zemris/java/hw01/package-summary.html">hr.fer.zemris.java.hw01</a></dt>
<dd>
<div class="block">Class <code>TreeNode</code> representing model of a tree node which has its <code>value</code> and two children - <code>left</code> and <code>right</code>.</div>
</dd>
<dt><a href="../hr/fer/zemris/java/hw01/UniqueNumbersTest.html" title="class in hr.fer.zemris.java.hw01"><span class="typeNameLink">UniqueNumbersTest</span></a> - Class in <a href="../hr/fer/zemris/java/hw01/package-summary.html">hr.fer.zemris.java.hw01</a></dt>
<dd>
<div class="block">Test class <code>UniqueNumbersTest</code> test functionality of <code>addNode</code>, <code>treeSize</code>, <code>containsValue</code>, <code>getNodesAscending</code> and <code>getNodesDescendingFromAscending</code> methods
 from  <code>UniqueNumbers</code> class.</div>
</dd>
<dt><span class="memberNameLink"><a href="../hr/fer/zemris/java/hw01/UniqueNumbersTest.html#%3Cinit%3E()">UniqueNumbersTest()</a></span> - Constructor for class hr.fer.zemris.java.hw01.<a href="../hr/fer/zemris/java/hw01/UniqueNumbersTest.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbersTest</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">E</a>&nbsp;<a href="index-4.html">F</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../hr/fer/zemris/java/hw01/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../hr/fer/zemris/java/hw01/package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
